Uses of Interface
io.vertx.rxjava3.httpproxy.ProxyInterceptor
-
Packages that use ProxyInterceptor Package Description io.vertx.rxjava3.httpproxy io.vertx.rxjava3.httpproxy.interceptors -
-
Uses of ProxyInterceptor in io.vertx.rxjava3.httpproxy
Methods in io.vertx.rxjava3.httpproxy that return ProxyInterceptor Modifier and Type Method Description static ProxyInterceptorProxyInterceptor. newInstance(ProxyInterceptor arg)Methods in io.vertx.rxjava3.httpproxy with parameters of type ProxyInterceptor Modifier and Type Method Description HttpProxyHttpProxy. addInterceptor(ProxyInterceptor interceptor)Add an interceptor to the interceptor chain.HttpProxyHttpProxy. addInterceptor(ProxyInterceptor interceptor, boolean supportsWebSocketUpgrade)Add an interceptor to the interceptor chain. -
Uses of ProxyInterceptor in io.vertx.rxjava3.httpproxy.interceptors
Classes in io.vertx.rxjava3.httpproxy.interceptors that implement ProxyInterceptor Modifier and Type Class Description classHeadInterceptorAn interceptor updating HTTP request/response head attributes (headers, path, query params).Methods in io.vertx.rxjava3.httpproxy.interceptors that return ProxyInterceptor Modifier and Type Method Description static ProxyInterceptorBodyInterceptor. modifyBody(BodyTransformer requestTransformer, BodyTransformer responseTransformer)Apply callbacks to change the request and response bodies when the proxy receives them.static ProxyInterceptorBodyInterceptor. modifyRequestBody(BodyTransformer requestTransformer)Apply callbacks to change the request body when the proxy receives it.static ProxyInterceptorBodyInterceptor. modifyResponseBody(BodyTransformer responseTransformer)Apply callbacks to change the response body when the proxy receives it.
-